Bug 988352 - cinder: enhancements for cinder credentials
cinder: enhancements for cinder credentials
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: RHOS Maint
Haim
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 07:38 EDT by Dafna Ron
Modified: 2016-04-26 10:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 03:22:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1262886 None None None Never

  None (edit)
Description Dafna Ron 2013-07-25 07:38:36 EDT
Description of problem:

running cinder credentials will show user credentials returned from auth. 
it would be helpful to expand this command and allow admins to query a specific user's credentials. 

Version-Release number of selected component (if applicable):

openstack-cinder-2013.1.2-3.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. as user admin run: cinder help credentials 
2.
3.

Actual results:

there is no option to query other users 

Expected results:

user admin should be able to get info for other users. 

Additional info:

Note You need to log in before you can comment on or make changes to this bug.